landscape-client (24.12-0ubuntu4) questing; urgency=medium

  [ Mitch Burton ]
  * d/p/fix-apt-source-file-management.patch: restore .list and .sources files
    when a repo profile is disassociated (LP: #2087852)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 11 Aug 2025 14:17:10 +0100

landscape-client (24.12-0ubuntu3) questing; urgency=medium

  * d/p/package-reporter-high-cpu.patch: apply fix to reduce CPU usage of
    package-reporter by avoiding creating Origin objects from the Python
    apt package. (LP: #2099283)

 -- Jan-Yaeger Dhillon <jan.dhillon@canonical.com>  Tue, 06 May 2025 13:43:28 -0700

landscape-client (24.12-0ubuntu2) plucky; urgency=medium

  [ Bryan Fraschetti ]
  * d/p/2087852-feat-manage-ubuntu-sources-glob.patch: include DEB822 formatted sources
    when managing apt sources by regex matching .sources files (LP: #2087852)

  [ Mitch Burton ]
  * Fix FTBFS (LP: #2106263)
    - d/p/unittest-makeSuite-deprecation.patch: fix tests on python versions
      where unittest.makeSuite has been removed
    - d/rules: don't make root:root owner of installed executables
    - d/tests/control: set environment variables for autopkgtest user and
      build environment
    - d/p/allow-http-proxy-in-tests.patch: fix tests by making them
      insensitive to http/https proxy environment variables

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 26 Mar 2025 17:47:28 -0700

landscape-client (24.12-0ubuntu1) plucky; urgency=medium

  * New upstream release 24.12
    - d/patches: remove patches that have been applied upstream
      - fix-plucky-tests.patch
    - d/rules: add landscape user workaround
    - fix: improve output for is-registered flag
    - fix: fixed monitor-only flag for false values
    - fix: surface SSL certificates
    - fix: updated motd
    - fix: added plucky tests
    - fix: get ubuntu pro info on snaps
    - feat: added landscape-config --silent flag
    - move livepatch to manager instead of monitor plugin
    - fix: add date and hash fields to repository tests
    - fix: ensure preferences.d exists
    - fix: patch missing Trial addDuration method
    - updated snapcraft.yaml
    - refactor: use synchronous message exchange for landscape-config
    - fix: ensure homedir and broker.bpickle are owned by Landscape
    - fix: added manage-sources-list-d flag 
    - refactor: optparse to argparse
    - fix: parse livepatch status
    - fix: landscape-config uses ssl_public_key
    - fix: registration with landscape-client.config on snap
    - feat: add cloud-init message
    - fix: process full server response
    - fix: prevent creation of clones after reverting to previous snap
    - feat: add installation_request_id parameter to registration
    - fix: TiOBE TiCS workflow
    - fix: set insecure id during registration 

 -- Justin Kim <justin.kim@canonical.com>  Mon, 9 Dec 2024 15:29:26 -0800

landscape-client (24.08-0ubuntu3) plucky; urgency=medium

  * d/control: add python3-yaml dependency to landscape-client (LP: #2084586)
  * d/p/fix-plucky-tests.patch: fix unit tests on Twisted >= 24.10

 -- Mitch Burton <mitch.burton@canonical.com>  Fri, 29 Nov 2024 14:18:44 -0800

landscape-client (24.08-0ubuntu2) oracular; urgency=medium

  * d/t/control: add unit tests

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 28 Aug 2024 14:39:53 -0700

landscape-client (24.08-0ubuntu1) oracular; urgency=medium

  * New upstream release 24.08
    - d/landscape-sysinfo.wrapper: remove system exit
    - d/patches: remove patches that have been applied upstream
    - feat: added landscape-config flag to skip sending a registration request
    - feat: use snap set to change snap configurations
    - fix: merge SnapMonitor into SnapManger to fix config reporting permissions
      registration
  * d/p/fix-landscape-client-manpage.patch: fix indentation in landscape-client
    manpage

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 12 Aug 2024 13:50:28 -0700

landscape-client (24.02-0ubuntu9) oracular; urgency=medium

  * d/landscape-sysinfo.wrapper: fix 'cores' variable to CORES in message-
    of-the-day load threshold calculation (LP: #2066983)

 -- Spencer Runde <spencer.runde@canonical.com>  Tue, 28 May 2024 14:19:00 -0500

landscape-client (24.02-0ubuntu8) oracular; urgency=medium

  * d/p/2068050-fix-pycurl-error-string-test: Fix difference in pycurl error
    string upon certificate validation failured (LP: #2068050)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 12 Jun 2024 14:51:00 -0700

landscape-client (24.02-0ubuntu7) oracular; urgency=medium

  * d/p/add-non-filtered-interfaces-to-the-api-response.patch: include
    all non-filtered network interfaces that have a valid MAC address
    in the API response. (LP: #2052834)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Tue, 04 Jun 2024 13:56:24 +0000

landscape-client (24.02-0ubuntu6) oracular; urgency=medium

  * d/t/control, d/t/smoke: add smoke test

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 03 Jun 2024 15:16:13 -0700

landscape-client (24.02-0ubuntu5) noble; urgency=medium

  * d/p/2062561-fix-deb822-sources.patch: fix to include deb822 formatted
    sources when collecting source channels (LP: #2062561)

 -- Austin Nhung <austin.nhung@canonical.com>  Mon, 22 Apr 2024 15:42:34 -0600

landscape-client (24.02-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:12:19 +0000

landscape-client (24.02-0ubuntu3) noble; urgency=medium

  * d/p/2057976-fix-ubuntu-pro-registration.patch: fix ubuntu pro info not
    being sent on registration exchange with Landscape Server (LP: #2057976)

 -- Spencer Runde <spencer.runde@canonical.com>  Thu, 14 Mar 2024 17:47:11 -0500

landscape-client (24.02-0ubuntu2) noble; urgency=medium

  * d/p/2055348-fix-expandvars-arb-exec.patch: fix potential arbitrary shell
    execution in landscape/lib/format.py:expandvars (LP: #2055348)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 29 Feb 2024 10:23:23 -0800

landscape-client (24.02-0ubuntu1) noble; urgency=medium

  * New upstream release 24.02
    - d/control: added python3-dbus to Build-Depends
    - d/control: added python3-dbus to landscape-client Depends. Added
      python3-setuptools to landscape-common Depends. Removed lsb-base from
      landscape-common Depends.
    - d/control: use dephelper-compat 12, removed d/compat
    - d/patches: removed patches that have been applied upstream
    - d/watch: watch Github releases page instead of tags
    - snap-http: included new submodule under identical license
    - use dbus in shutdown manager instead of subprocess
    - improve messages about manager plugin configuration
    - add getting and settings snap configurations
    - read temperature from hwmon devices
    - add snapd device information to ComputerInfo message
    - add snap services management
    - d/landscape-common.postinst d/landscape-common.prerm: do not call
      update-motd when installing/removing landscape-sysinfo.wrapper
      (LP: #1855544)
    - Livepatch status reporting bug
    - bpickle: guard against negative string/bytestring lengths
    - Makefile: remove check2, depends2, and references to python2
    - add path for os-release inside a snap
    - computer title generation for zero-touch deployment on Core
    - user management on Core
    - deploy system user assertion to device
    - remote script execution for snaps

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 27 Feb 2024 16:46:56 -0800

landscape-client (23.08-0ubuntu4) noble; urgency=medium

  * d/p/0003-fix-cpuinfo-and-tests.patch: fix ARM and RISCV cpuinfo parsing;
    fix environment var-modifying tests, increase timeout on tests that can
    be slow on these arches (LP: #2046620).

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 04 Jan 2023 17:06:26 -0800

landscape-client (23.08-0ubuntu3) noble; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/rules: avoid stopping services on upgrade (LP: #2027613)
  * Re-enable build-time test suite (LP: #2044181)
    - d/rules: enable test suite during build
    - d/control: build-depend on python3-pycurl, python3-netifaces,
        python3-yaml, ubuntu-advantage-tools, locales-all
    - d/p/0002-fix-broken-build-tests.patch: add mocks to snapd-related tests;
        use existing directory if HOME does not exist
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Tue, 28 Nov 2023 11:40:17 -0800

landscape-client (23.08-0ubuntu2) noble; urgency=medium

  * d/landscape-common.postint: ensure sysinfo cache file exists and is globally
    read-write (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 23 Nov 2023 14:28:14 -0800

landscape-client (23.08-0ubuntu1) mantic; urgency=medium

  * New upstream release 23.08
    - Restructure landscape-config wizard (LP: #2031673)
    - Add SnapMonitor, SnapManager, and related machinery (LP: #2031682)
    - Limit message data directory size (LP: #2004591)
    - Add zfs and btrfs to stable fs-lists (LP: #1499104)
    - Test for broken control file (LP: #1813442)
    - Config man page and help info fixes (LP: #1662222)
    - Removed unnecesary select to the database (LP: #1994951)
    - Last apt-key removal (LP: #1990435)
    - Added a logging level check to provide a better error (LP: #2027521) 
    - Broker is able to bootstrap the landscape-client folder (LP: #1868730)
    - Changed gpg file name to be less generic (LP: #2008432)
    - Improve Dependency data is read from the deb packages (LP: #1813442)
    - Fix error in swift plugin (LP: #2031674)
    - Repository profiles do not overwrite all configurations (LP: #2031680)
    - Remove old plugins (LP: #1989968)
    - Send ubuntu pro reboot output (LP: #2031684)

 -- Kevin Nasto <kevin.nasto@canonical.com>  Thu, 17 Aug 2023 13:41:21 -0500

landscape-client (23.02-0ubuntu1) lunar; urgency=medium

  * New upstream release 23.02:
    - Preventing the generation of large messages and logs that can overwhelm
      Landscape Server (LP: #1995775)
    - Improved MOTD slowdown on machines with many tap network interfaces
      (LP: #2006396)
    - No longer using deprecated apt-key when storing trusted GPG keys
      (LP: #1973202)
    - Fixed issue recognising Parallels VMs as Virtual Machine clients
      (LP: #1827909)
    - Fixes for incorrect logfile rotation config (LP: #1968189)
    - Client-side backoff handling to moderate traffic to Landscape Server
      during high load (LP: #1947399)
    - Avoid sending empty messages when catching up to expected next message
      (LP: #1917540)
    - --is-registered CLI option to quickly check if client is registered
      (LP: #1912516)
    - Can now report Ubuntu Pro attachment information if the version of
      Landscape Server it is registered to supports this (LP: #2006401)
    - Packages installed as dependencies as part of package profiles are now
      appropriately autoremovable (LP: #1878957)
    - Registration timeouts give an error instead of timing out (LP: #1889464)
    - RHEV hypervisor VMs are now recognized as virtual machines (LP: #1884116)
    - Doing a Landscape-driven release upgrade from a release running python 2
      to one running python 3 no longer hangs forever (LP: #1943291)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 08 Feb 2023 10:23:31 -0800

landscape-client (19.12-0ubuntu13) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper, d/landscape-common.postrm: avoid too
    frequent expensive operations (LP: #1893716)
    - use a cache file and refresh it only once per minute
    - use a single printf to format output
    - if the former info was useful and we'd replace it with "sorry, load to
      high" skip that update
    - remove the cache file on purge

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Mar 2022 12:32:38 +0200

landscape-client (19.12-0ubuntu12) jammy; urgency=medium

  * d/p/lp1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 09 Mar 2022 11:02:22 -0500

landscape-client (19.12-0ubuntu11) jammy; urgency=medium

  * debian/patches/1962539_twisted_py3.patch:
    Fix obsolete imports on jammy. (LP: #1962539)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 02 Mar 2022 18:29:37 -0500

landscape-client (19.12-0ubuntu10) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:32:25 +0200

landscape-client (19.12-0ubuntu9.1) hirsute; urgency=medium

  * Replace deprecated tostring() call with tobytes(). (LP: #1911050)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Apr 2021 14:59:38 -0700

landscape-client (19.12-0ubuntu9) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:44:11 +0100

landscape-client (19.12-0ubuntu8) hirsute; urgency=medium

  * d/p/0003-clean-publisher-shutdown.patch:
    Let publisher services shutdown cleanly (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 01 Mar 2021 21:00:40 -0500

landscape-client (19.12-0ubuntu7) hirsute; urgency=medium

  * Switch from depreated base64.decodestring to base64.decodebytes to fix
    FTBFS with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 10:35:48 +0000

landscape-client (19.12-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:52 +0100

landscape-client (19.12-0ubuntu5) groovy; urgency=medium

  * d/landscape-client.service (LP: #1870087)
    - Set KillMode on service to avoid killing dpkg
      through self-upgrade.

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 27 Apr 2020 16:13:02 +0000

landscape-client (19.12-0ubuntu4) focal; urgency=medium

  * d/p/0002-lp1870087-stale-locks.patch:
    Clean stale twisted lock files (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 14 Apr 2020 11:07:41 -0400

landscape-client (19.12-0ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:59 +0000

landscape-client (19.12-0ubuntu2) focal; urgency=medium

  * Handle EINVAL error of SIOCETHTOOL ioctl (LP: #1855522)
    The error occurs on WSL (1) and causes an error showing up in MOTD.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 07 Dec 2019 15:52:03 +0100

landscape-client (19.12-0ubuntu1) focal; urgency=medium

  * New upstream release 19.12:
    - Modernized packaging.
    - Added support for python-apt 1.9
    - Converted init script to systemd service.
    - Set default value if data_path is missing. (LP: #1728681)
    - Sysinfo: add support for multiple IPv6 addresses per interface.
      (LP: #829379)
    - Clear hash id database on package resync. (LP: #1616116)
    - Permit environments containing unicode chars for script execution.
      (LP: #1765518)
    - Set LANG in sysinfo wrapper. (LP: #1780071)
    - Avoid leaking memory through unused twisted logs. (LP: #1685885)
    - Handle unicode apt-sources-replace (LP: #1771443)
    - Add simfs to the whitelist of watched file-systems (LP: #1499104)
    - Return non-blank message when tasks already performed. (LP: #928933)
    - Overrid apt progress pulse(). (LP: #1758529)
    - Improvements on vm_info detection (LP: #1754073) (LP: #1799843)
      (LP: #1828217)
    - Remove the landscape url from motd output by removing LandscapeLink
      from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 04 Dec 2019 14:12:24 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog landscape-common`.
